uniform sampler2D Color0; // the texture with the scene you want to blur

void main(void)
{
   vec4 sum = vec4(0.0);
 
   sum += texture2D(Color0, gl_TexCoord[0].st );
   sum += texture2D(Color0, gl_TexCoord[1].st );
   sum += texture2D(Color0, gl_TexCoord[2].st );
   sum += texture2D(Color0, gl_TexCoord[3].st );
    
   gl_FragColor = 0.25 * sum;
}